task fastq_screen {
	File read
	File ref_dir
	File fastq_screen_conf
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp
		cp -r ${ref_dir} /cromwell_root/tmp/
		fastq_screen --aligner bowtie2 --conf ${fastq_screen_conf} --threads $nt --outdir ./ ${read}
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File png = sub(basename(read), "\\.(fastq|fq)\\.gz$", "_screen.html")
		File txt = sub(basename(read), "\\.(fastq|fq)\\.gz$", "_screen.png")
		File html = sub(basename(read), "\\.(fastq|fq)\\.gz$", "_screen.txt")
	}
}
